<?php

$meta_title = 'CV Writing Services | Creative Webcodes';
$meta_description = 'Professional CV writing services to help you land your dream job. Get noticed with a standout CV.';
$meta_keywords = 'cv writing, resume services, career, job, creative webcodes';
include 'include/header.php';?>
	<section class="banner main-banner--svc">
		<div class="container h-100">
			<div class="row h-100">
				<div class="col-md-7 m-auto">
					<div class="hero__caption">
						<h2 class="banner_title">CV Writing</h2>
						<h3>Create a CV with us and get your desired Job</h3>
						<p><strong>Outperform and outclass your competition</strong></p>
						<p class="banner_description">We have a professional CV and Cover letter designers who understands all the fundamentals of making an eye-catching CV and an inspiring Cover Letter. Our professional writers will prepare a personalized CV to showcase your skills, knowledge, and experiences in the most relatable and impactful way possible.</p>
					</div>
					<div class="banner_service-buttons"> <a class="main-btn" href="contacts.php">Get An Estimation</a> <a class="main-btn" href="javascript:;" onclick="setButtonURL();">Live Chat</a> </div>
				</div>
				<div class="col-md-5 m-auto"> <img class="lazy svg-img" src="data:image/Create-A-CV-With-Us-And-Get-Your-Desired-Job..png" data-src="images/Create-A-CV-With-Us-And-Get-Your-Desired-Job..png"> </div>
			</div>
		</div>
		<div class="shape hero__shape-right"></div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto text-center m-order-2"> <img class="lazy svg-img" src="data:image/Interview.png" data-src="images/Interview.png"> </div>
				<div class="col-md-6 m-auto">
					<div class="sec-breif fold2">
						<h2>Get the Right Interview Call</h2>
						<p><strong>Let us do all the work to prepare your CV and succeed together.</strong></p>
						<h3>Together lasts longer.</h3>
						<p>Creative Webcodes is USA's leading career developer brand. Funnily enough most of our costumers talk with us for CV writing, LinkedIn profile writing, and interview coaching, do you know why? Because we are the best CV consultancy. We make your CVs based on your skills, professional career, education and we craft it professionally so that your employer gets the necessary information upfront.</p>
					</div>
				</div>
			</div>
		</div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto text-center m-order-2"> <img class="lazy svg-img" src="data:image/We-Prioritize-the-Safety-of-your-Personal-and-Professional-Data,-and-we-Take-it-Very-Seriously..png" data-src="images/We-Prioritize-the-Safety-of-your-Personal-and-Professional-Data,-and-we-Take-it-Very-Seriously..png"> </div>
				<div class="col-md-6 m-auto">
					<div class="sec-breif fold2">
						<p><strong>Data Security</strong></p>
						<h2>We Prioritize the Safety of your Personal and Professional Data, and we Take it Very Seriously.</h2>
						<p>We are comprehensively GDPR-compliant, and you can rest assured that the information you provide us is absolutely secure and used nowhere else. Check out our privacy policy for more details.</p>
					</div>
				</div>
			</div>
		</div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto text-center m-order-2"> <img class="lazy svg-img" src="data:image/Our-CV-Writing-Service-will-Help-you-Land-your-Dream-Job..png" data-src="images/Our-CV-Writing-Service-will-Help-you-Land-your-Dream-Job..png"> </div>
				<div class="col-md-6 m-auto">
					<div class="sec-breif fold2">
						<p><strong>Packages</strong></p>
						<h2>Our CV Writing Service will Help you Land your Dream Job.</h2>
						<p>A strong CV is a must-have for any job application process. It's your opportunity to show future employers that you're the best candidate for the job. Standing out from the rest of the crowd is vital.</p>
						<div class="strong-content">
							<p><strong>We Write CVs that show your true professional colours.</strong></p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto text-center m-order-2"> <img class="lazy svg-img" src="data:image/What's-the-Catch.png" data-src="images/What's-the-Catch.png"> </div>
				<div class="col-md-6 m-auto">
					<div class="sec-breif fold2">
						<h2>What's the Catch?</h2>
						<div class="list">
							<ul class="ser-wrap-li">
								<li><i class="fa fa-check-circle"></i> Access to your CV writing specialist. </li>
								<li><i class="fa fa-check-circle"></i> Unlimited revisions for 12 months. </li>
								<li><i class="fa fa-check-circle"></i> No online templates are used. </li>
								<li><i class="fa fa-check-circle"></i> The applicant tracking system is friendly. </li>
								<li><i class="fa fa-check-circle"></i> 2-day turnaround (specialist CV 5 days). </li>
								<li><i class="fa fa-check-circle"></i> Package deals available. </li>
								<li><i class="fa fa-check-circle"></i> 24/7 service, 365 days a year. </li>
								<li><i class="fa fa-check-circle"></i> 100% satisfaction guaranteed. </li>
							</ul>
						</div>
					</div>
				</div>
				<div class="cv-para">
					<p><strong>See how our professional CV writing service works?</strong></p>
					<p>Your brand new, professionally-written CV is only a few short steps away. Here's what to do:</p>
				</div>
				<div class="row">
					<div class="col-md-3">
						<div class="steps">
							<h3>Step 1</h3>
							<p>Choose the package deal and place your order according to your requirements. Choose between a simple, professional, primary, or creative CV option. Select styles as you wish elegant, innovative, modern, or basic. You'll be given the option to upload your existing CV. You can also add supplements such as a cover letter or LinkedIn profile.</p>
						</div>
					</div>
					<div class="col-md-3">
						<div class="steps">
							<h3>Step 2</h3>
							<p>You'll be assigned your professional CV writing Expert. If you've ordered a specialist CV, we'll choose a writer with significant knowledge and experience throughout your work industry.</p>
						</div>
					</div>
					<div class="col-md-3">
						<div class="steps">
							<h3>Step 3</h3>
							<p>Your writer will start crafting you a brand-new CV straight away. If you don't have an existing CV or personal Bio-Data, the writer assigned to you will contact you right away to collect the information they need.</p>
						</div>
					</div>
					<div class="col-md-3">
						<div class="steps">
							<h3>Step 4</h3>
							<p>The designated writer will complete your order within the agreed timeframe and send it to you in Microsoft Word and PDF format. Your CV writer will edit your CV until you're 100% happy with it.</p>
						</div>
					</div>
					<div class="step-para">
					<p>And that's it! Our CV writing service is the right way to go if you want a compelling professional CV, fast and easy service, tips from recruiters, and a cover letter that shows you at your best.</p>
					</div>
				</div>
			</div>
	
	</section>
	<?php include 'include/testemonial.php';?>
		<?php include 'include/footerform.php'; ?>
			<?php include 'include/footer.php';?>
				<?php include 'include/js.php';?>