function recallajax(){
    $(document).on('submit', '#CrudForm,.CrudForm', function() {
      var _thisForm = $(this);
      if(!$(this).data('nosubmit')){
        var submitBtn = $("input[type=submit]",$(this));
        submitBtn.hide();
        var parentDiv = submitBtn.parent();
        if(!$('#loaderBtn').length>0){
          parentDiv.append('<button id="loaderBtn" class="btn btn-success pull-right"><i class="fa fa-circle-o-notch fa-spin"></i></button>');
        }
      }
      var validationAllowed = true;
      var seconds = new Date().getTime() / 1000;
      var formData = new FormData($(this)[0]);
      formData.append('Number',$('.selected-dial-code').text()+$('#phone-coun').val());
      if (typeof validateCrudForm == 'function') {
        validationAllowed = validateCrudForm();
        }else{}
      if(!validationAllowed){
        notify('0','Validation Error');
        return false;
      }
      //if (typeof beforeSubmit == 'function') {beforeSubmit();}else{}
      $.ajax({
      type    : $(this).attr('method'),
      data    : formData,
      async: true,
      contentType: false,
      processData: false,
      url     : $(this).attr('action'),
      beforeSend: function (request) {
      if (typeof beforeSubmit == 'function') {beforeSubmit();}else{}
      
      },
      success: function (result) {
        if(!_thisForm.data('nosubmit')){
          submitBtn.show();
        }
        $('#loaderBtn').remove();
        if(!_thisForm.attr('data-noinfo')){
          notify('2',result);
        //$('#CrudForm')[0].reset();
          $("html, body").animate({ scrollTop: 0 }, "slow");
         }
         seconds = new Date().getTime() / 1000;
         if (_thisForm.attr('data-customcallback')){
           var _func = _thisForm.attr('data-customcallback');
          if ( eval("typeof "+_func+" === 'function'") ){
            eval(_func + '(' + result + ')');
          }
         } else {
          if (typeof afterSubmit == 'function') {afterSubmit();}else{}
          if (typeof afterSubmitResult == 'function') {afterSubmitResult(result);}else{}
         }
      },
      error:function (error) {
        if(!_thisForm.attr('data-noinfo')){
          notify('0','Some Error Occured');
        }
        if(!_thisForm.data('nosubmit')){
          submitBtn.show();
        }
        if (_thisForm.attr('data-customcallbackFail')){
           var _func = _thisForm.attr('data-customcallbackFail');
          if ( eval("typeof "+_func+" === 'function'") ){
            window[_func](error.responseText)
            //eval(_func + '(' + error + ')');
          }
         } else {
          if (typeof afterSubmitFail == 'function') {afterSubmitFail();}else{}
          if (typeof afterSubmitResultFail == 'function') {afterSubmitResultFail(error.responseText);}else{}
         }
        $('#loaderBtn').remove();       
        //$("html, body").animate({ scrollTop: 0 }, "slow");
         seconds = new Date().getTime() / 1000;
      }
      });
      return false;
  });
}
function generateNotification(messageType,message,_url){
    if(!_url){
        _url = '';
    }
    var iconUse=  '';
    if(messageType=='danger'){
        iconUse=  'fa fa-exclamation-triangle';
    }else if(messageType=='success'||messageType==1){
        iconUse=  'fa fa-check';
        messageType = 'success';
    } else if(messageType=='info'){
        iconUse=  'fa fa-info-circle';
    } else if (messageType=='error'||messageType==0){
        messageType='danger'
        iconUse=  'fa fa-exclamation-triangle';
    }
$.notify({
    // options
    icon: iconUse,
    title: '',
    message: message,
    url: _url,
    target: '_blank'
},{
    // settings
    element: 'body',
    position: null,
    type: messageType,
    allow_dismiss: true,
    newest_on_top: false,
    showProgressbar: false,
    placement: {
        from: "bottom",
        align: "right"
    },
    offset: 20,
    spacing: 10,
    z_index: 1031,
    delay: 5000,
    timer: 1000,
    url_target: '_blank',
    mouse_over: null,
    animate: {
        enter: 'animated fadeInDown',
        exit: 'animated fadeOutUp'
    },
    onShow: null,
    onShown: null,
    onClose: null,
    onClosed: null,
    icon_type: 'class',
    template: '<div data-notify="container" class="col-xs-11 col-sm-3 alert alert-{0}" role="alert">' +
        '<button type="button" aria-hidden="true" class="close" data-notify="dismiss">×</button>' +
        '<span data-notify="icon"></span> ' +
        '<span data-notify="title">{1}</span> ' +
        '<span data-notify="message">{2}</span>' +
        '<div class="progress" data-notify="progressbar">' +
            '<div class="progress-bar progress-bar-{0}" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>' +
        '</div>' +
        '<a href="{3}" target="{4}" data-notify="url"></a>' +
    '</div>' 
});
}
(function() {
    recallajax();
})();