<?php

$meta_title = 'Branding Services | Creative Webcodes';
$meta_description = 'Professional branding services including logo design, custom graphics, and more to elevate your business.';
$meta_keywords = 'branding, logo design, custom graphics, professional branding, creative webcodes';
include 'include/header.php';?>
	<section class="main-banner--svc">
		<div class="container">
			<div class="row">
				<div class="col-md-10 m-auto offset-md-1 text-center" order="2">
					<div class="hero__caption">
						<h2 class="banner_title">Branding</h2>
						<h3>Stay Different. Stay Unique.</h3>
						<p class="banner_description">Creative Webcodes has unmistakable techniques and publicizing intends to advance your item and business. Marking includes huge activities that broaden the entire focal thought of the item or administration to the ideal interest group. We know that situating the brand in the clients' minds is so significant.</p>
						<p>Creative Webcodes marking master group knows how to recognize your image from different results of the contenders and is not the same as the idea of brand mindfulness. We believe that your client should see your item's genuine advantages and qualities through our efficient methodology and marking strategies.</p>
						<div class="banner_service-buttons"> <a class="main-btn" href="contacts.php">Get Started</a> <a class="main-btn" href="javascript:;" onclick="setButtonURL();">Live Chat</a> </div>
					</div>
				</div>
			</div>
		</div>
		<div class="shape hero__shape-right"></div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto">
					<div class="sec-breif">
						<h2>Logo Design</h2>
						<p>We aim to help our clients establish their reputation in the marketing sector through a unique and upscale logo design. Mutual respect and trust between our clients and us are a driving force for building an accurate visual image of their organization.</p>
					</div>
					<div class="banner_service-buttons"> <a class="main-btn" href="logo-design.php">Learn More</a> <a class="main-btn" href="contacts.php">Get An Estimation</a> </div>
				</div>
				<div class="col-md-6 m-auto text-center"> <img class="lazy svg-img" src="data:image/svg;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/svg/branding-page/logo-design.png"> </div>
			</div>
		</div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto">
					<div class="sec-breif">
						<h2>Custom Graphic Designs</h2>
						<p>We strive to convert impossible to Possible!
							<br> Well-tailored graphic designs have the influence to appeal to the ones disengaged. And we are here to resolve this matter for you. We aim to amplify and enhance the outlook of your business which is perfectly parallel to the target audience and the segment it runs. Striking designs have the propensity to express, imbue and trade through various types of messages and resolve any communication problems. </p>
					</div>
					<div class="banner_service-buttons"> <a class="main-btn" href="custom-graphic-design.php">Learn More</a> <a class="main-btn" href="contacts.php">Get An Estimation</a> </div>
				</div>
				<div class="col-md-6 m-auto text-center "> <img class="lazy svg-img" src="data:image/svg;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/svg/branding-page/custom-graphic-design.png"> </div>
			</div>
		</div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto">
					<div class="sec-breif">
						<h2>Professional Branding</h2>
						<p>Striving to generate an unforgettable first impression and recognizable presence for your brand. We know the importance of your brand. It is so much more than just a logo or a product to sell. A brand is an entire business. Augment the look of your brand with our unique stationery designs. They ensure professional branding throughout the company that can never go unnoticed. </p>
					</div>
					<div class="banner_service-buttons"> <a class="main-btn" href="professional-branding.php">Learn More</a> <a class="main-btn" href="contacts.php">Get An Estimation</a> </div>
				</div>
				<div class="col-md-6 m-auto text-center "> <img class="lazy svg-img" src="data:image/svg;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/svg/branding-page/professional-branding.png"> </div>
			</div>
		</div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto">
					<div class="sec-breif">
						<h2>Animated Videos</h2>
						<p>Businesses are built on stories, and every story is unique. The best way to express them is through animated videos. Your story might be more persuasive than you already know. We bring your brand to life and make the intangible tangible. We combine our experience in great storytelling with highly creative visual content to create animated videos to take your message across your potential viewers. It is the ideal solution to connecting you with your audience in a fun, emotional, and eye-catching way and clearly and effectively across instructions or information. </p>
					</div>
					<div class="banner_service-buttons"> <a class="main-btn" href="videos-and-animation.php">Learn More</a> <a class="main-btn" href="contacts.php">Get An Estimation</a> </div>
				</div>
				<div class="col-md-6 m-auto text-center "> <img class="lazy svg-img" src="data:image/svg;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/svg/branding-page/animated-videos.png"> </div>
			</div>
		</div>
	</section>
	<?php include 'include/testemonial.php';?>
		<?php include 'include/footerform.php'; ?>
			<?php include 'include/footer.php';?>
				<?php include 'include/js.php';?>