<?php

  include 'include/header.php';?>
	<section class="banner main-banner--svc">
		<div class="container h-100">
			<div class="row h-100">
				<div class="col-md-7 m-auto">
					<div class="hero__caption">
						<h2 class="banner_title">Content Writing</h2>
						<h3>The Creative Webcodes has the most proficient team of content writers that make your text work exceptionally well for your vertical.</h3>
						<p class="banner_description">Behind each thriving piece of content that we curate, includes a meticulous planning and a powerful strategy to ensure it fits the user's demands. From blog posts to video scripts, infographics, website copy and everything in between, unique content underpins everything we do at Creative Webcodes.</p>
					</div>
					<div class="banner_service-buttons"> <a class="main-btn" href="contacts.php">Get An Estimation</a> <a class="main-btn" href="javascript:;" onclick="Tawk_API.toggle();">Live Chat</a> </div>
				</div>
				<div class="col-md-5 m-auto"> <img class="lazy svg-img" src="data:image/svg;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/svg/content-writing/content-writing.png"> </div>
			</div>
		</div>
		<div class="shape hero__shape-right"></div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto text-center m-order-2"> <img class="lazy svg-img" src="data:image/svg;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/svg/content-writing/business-exist.png"> </div>
				<div class="col-md-6 m-auto">
					<div class="sec-breif fold2">
						<h2>Good content requires more than just kneading words to form a sentence.</h2>
						<p>Your customer buy your content prior to other purchases on our website.
							<br> Copy and content marketing are essential tools in your broader marketing strategy, whether required to get your social media to sizzle or support your SEO. We push your business into the spotlight, giving you the exposure, recognition, and quality links your company deserves. Our content creatives are well versed in planning content, finding out audience demand through keyword and competitor research, and creating unique, compelling content shared via the appropriate channels. </p>
					</div>
				</div>
			</div>
		</div>
	</section>
	<section class="process-sec">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="sec-breif mb-5">
						<h2>Content Strategy and Copywriting Solutions</h2>
						<p>Emphasizing on timely turnaround blended with high quality.</p>
						<p>Content has the ability to walk, talk and make a sale for you. The triumph of content entirely depends on the strategy behind it. Planning and creating cross channel content in multiple formats is needed to get your brand heard. We work closely with brands to help them curate a successful strategy while also taking stock of their content marketing efforts from time to time and improving the plan to align with your goals and your audience's requirements.</p>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12 m-auto">
					<div class="design-timeline__step ">
						<div class="design-timeline__heading">
							<h3 class="design-timeline__title text-blue">Gathering Client Requirements</h3> <img class="design-timeline__img" src="images/shapes/discussing.svg" alt="Discuss"> </div>
						<div class="text-md design-timeline__content">Our writers are fully aware of the importance of the content. We take the trust that clients put in us to curate their content very seriously. We take proper protocol to ensure that the quality of content is well-maintained and all the aspects are covered sufficiently. Weds gather all the clients' required details through our well-designed form. We pay tremendous respect to our customer's confidentiality. Therefore, we only ask for the information that holds great significance in laying out the finest quality content. </div>
						<div class="design-timeline__circle"></div>
					</div>
					<div class="design-timeline__step design-timeline__step--active">
						<div class="design-timeline__heading">
							<h3 class="title-md design-timeline__title text-pink">Knowing Your Audience</h3> <img class="design-timeline__img" src="images/shapes/research.svg" alt="Research"> </div>
						<div class="text-md design-timeline__content">Knowing the right audience means knowing how to increase your sales. At The Creative Webcodes, we strive to learn about who your target market to analyze who should be your audience, then produce the content keeping the audience's persona in mind. Content that is prepared by bearing the audience in mind helps the brand to deliver the message to their respective crowd of people without much trouble. </div>
						<div class="design-timeline__circle"></div>
					</div>
					<div class="design-timeline__step">
						<div class="design-timeline__heading">
							<h3 class="title-md design-timeline__title text-blue">Research about the Topic </h3> <img class="design-timeline__img" src="images/shapes/prototype.svg" alt="Wireframes &amp; Prototype"></div>
						<div class="text-md design-timeline__content">We have a team of the most hardworking writers at the Creative Webcodes that can produce a premium quality content backed up with appropriate research. We are opposed to utilizing the information without validating and getting a grip on the subject.</div>
						<div class="design-timeline__circle"></div>
					</div>
					<div class="design-timeline__step">
						<div class="design-timeline__heading">
							<h3 class="title-md design-timeline__title text-mediumViolet">Jotting It All Down!</h3> <img class="design-timeline__img" src="images/shapes/design.svg" alt="Design Process"> </div>
						<div class="text-md design-timeline__content">Our ultimate goal is to offer a massive assortment of content writing services to a diverse group of clientele on the global scale. High-quality content is more than about stringing words to create a catchy sentence. We understand that content writing is more about curating the content – a skilled professional master in. With the quality that our skilled writer delivers, we empower you to reign over your niche industry. </div>
						<div class="design-timeline__circle"></div>
					</div>
					<div class="design-timeline__step ">
						<div class="design-timeline__heading">
							<h3 class="design-timeline__title text-blue">Editing & Proofreading</h3> <img class="design-timeline__img" src="images/shapes/discussing.svg" alt="Discuss"> </div>
						<div class="text-md design-timeline__content">Research. Write. Rewrite!
							<br>Writing might be a brain scratcher, but what comes after that is genuinely time-consuming. Editing and proofreading takes a lot more than just a single look. It is a long walk through everything that the writer has conveyed and composed using the words. We refrain from delivering work that is only partially completed. Writing is only a part of curating the entire thing. It can only be finished once it is proofread and edited adequately.
							<br>The proficient editors at Creative Webcodes ensure to go through the content and modify it to maintain the quality work that our customers would cherish. </div>
						<div class="design-timeline__circle"></div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<section class="cta">
		<div class="container">
			<div class="design-summary__content text-center">
				<div class="rocket"><img class="design-summary__icon lazy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/rocket.png" alt="rocket"></div>
				<h2 class="design-summary__title">Our experts are able to develop a brand for your business that's impossible to ignore. Find the audience you would like. Deliver the message you develop.</h2>
				<h3 class="design-summary__subtitle">Make your brand stand out.</h3>
				<div class=" banner_service-buttons"> <a class="main-btn" href="contacts.php">Get A Quote</a> <a class="main-btn" href="javascript:;" onclick="Tawk_API.toggle();">Live Chat</a> </div>
			</div>
		</div>
	</section>
	<?php include 'include/testemonial.php';?>
		<div class="circle">BS</div>-->
		<?php include 'include/footerform.php'; ?>
			<?php include 'include/footer.php';?>
				<?php include 'include/js.php';?>