<?php

$meta_title = 'Custom Graphic Design | Creative Webcodes';
$meta_description = 'Creative Webcodes offers custom graphic design services to help your brand stand out.';
$meta_keywords = 'custom graphic design, branding, creative webcodes, logo, professional design';
include 'include/header.php';?>
	<section class="banner main-banner--svc">
		<div class="container h-100">
			<div class="row h-100">
				<div class="col-md-7 m-auto">
					<div class="hero__caption">
						<h2 class="banner_title">Creative Services for Brands of all Scopes.</h2>
						<h3>Graphics Can either Create or Break Your Brand.</h3>
						<p class="banner_description">Our graphical designs are here to make the impossible, possible for you!
							<br>Well-honed representation of graphic designs have the influence to appeal the ones that were disengaged. The goal of The Creative Webcodes is to amplify and enhance the outlook of your business which is perfectly parallel to the target audience and the segment it runs. Striking designs have the propensity to express, imbue and trade through various types of messages as well as resolve any communication problems.</p>
						<div class="banner_service-buttons"> <a class="main-btn" href="contacts.php">Get An Estimation</a> <a class="main-btn" href="javascript:;" onclick="setButtonURL();">Live Chat</a> </div>
					</div>
				</div>
				<div class="col-md-5 m-auto">
					<!-- <img src="images/service-folds/custom-graphic-design.svg" alt="custom-graphic-design">  --><img class="img-fluid lazy" src="data:image/png;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/new-img/custom-graphic-design-page-img1.png" alt="custom graphic design"> </div>
			</div>
		</div>
		<div class="shape hero__shape-right"></div>
	</section>
	<section class="fold team">
		<div class="container">
			<div class="row">
				<div class="col-md-6 m-auto text-center m-order-2">
					<!-- <img src="images/service-banner/custom-graphic-design.svg" alt="custom-graphic-design"> --><img class="img-fluid lazy" src="data:image/png;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/new-img/custom-graphic-design-page-img2.png" alt="custom-graphic-design"> </div>
				<div class="col-md-6 m-auto">
					<div class="sec-breif fold2">
						<h2>The very Importance of Graphic Design</h2>
						<p>Creativity comes with no limits at The Creative Webcodes.
							<br>The Custom Graphics Solutions that we offer is a blend of a significant role in the modern competitive business market. We aim to produce world-class graphic design services. Since more and more companies are penetrating markets, it's generating more competition. To cope with the competition, graphic designs became necessary to draw potential clients' eyes towards businesses.</p>
					</div>
				</div>
			</div>
		</div>
	</section>
	<section class="process-sec">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="sec-breif mb-5">
						<h2>Our Custom Graphics Process</h2> </div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12 m-auto">
					<div class="design-timeline__step ">
						<div class="design-timeline__heading">
							<!-- <span class="design-timeline__subtitle">Phase One</span> -->
							<h3 class="design-timeline__title text-blue">Creative Design Brief</h3> <img class="design-timeline__img" src="images/shapes/discussing.svg" alt="Discuss"> </div>
						<div class="text-md design-timeline__content">Our team of designers begin their process by working on the original design brief. To comprehend the client and their needs, we must take a survey from them and develop a transparent understanding of their business, industry, and issues. This initial phase of the custom graphic design process stages will be completed. However, the client is most comfortable with – whether it's over the phone, in person, using an internet design questionnaire or just via email. Ultimately, a creative brief aims to assist the designers in understanding the project overview, that the more they know, the higher they will communicate through the initial design concepts.</div>
						<div class="design-timeline__circle"></div>
					</div>
					<div class="design-timeline__step design-timeline__step--active">
						<div class="design-timeline__heading">
							<!-- <span class="design-timeline__subtitle">Phase Two</span> -->
							<h3 class="title-md design-timeline__title text-pink">Research & Discovery Phase</h3> <img class="design-timeline__img" src="images/shapes/research.svg" alt="Research"> </div>
						<div class="text-md design-timeline__content">After gathering the information needed, we develop an idea and establish a solid base to figure from as we move forward.
							<br>Further questions may arise that may be discussed along the way, so we work our way on an identical path. </div>
						<div class="design-timeline__circle"></div>
					</div>
					<div class="design-timeline__step">
						<div class="design-timeline__heading">
							<!-- <span class="design-timeline__subtitle">Phase Three</span> -->
							<h3 class="title-md design-timeline__title text-blue">Conceptualization</h3> <img class="design-timeline__img" src="images/shapes/prototype.svg" alt="Wireframes &amp; Prototype"></div>
						<div class="text-md design-timeline__content">Our process of conceptualization is more than just forming a concept. We are more focused on refining a plan further. We put your ideas into visual form. The ‘idea’ is given a brand new viewpoint when viewed on a screen, with us to watch any immediate concerns that will be overlooked within the sketch. </div>
						<div class="design-timeline__circle"></div>
					</div>
					<div class="design-timeline__step">
						<div class="design-timeline__heading">
							<!-- <span class="design-timeline__subtitle">Phase Four</span> -->
							<h3 class="title-md design-timeline__title text-mediumViolet">Refinement & Client <br>Presentation</h3> <img class="design-timeline__img" src="images/shapes/design.svg" alt="Design Process"> </div>
						<div class="text-md design-timeline__content">We gather the logo concepts and put it in the client document for the refining purpose. We will show how the custom graphic designs look on various backgrounds, at different scales and alongside other
							<br>mockups, like a rendering of the look on standardized or vehicle wraps.
							<br>This helps the client visualize their custom graphic design in an exceedingly ‘actual = situation, instead of just central on a page. </div>
						<div class="design-timeline__circle"></div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- portfolio start -->
	<?php include 'include/portfolio-new.php';?>
	
	<!-- portfolio end -->
	<section class="cta">
		<div class="container">
			<div class="design-summary__content text-center">
				<div class="rocket"><img class="design-summary__icon lazy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" data-src="images/rocket.png" alt="rocket"></div>
				<h2 class="design-summary__title">Our experts are able to develop a brand for your business that's impossible to ignore. Find the audience you would like. Deliver the message you develop.</h2>
				<h3 class="design-summary__subtitle">Make your brand stand out.</h3>
				<div class=" banner_service-buttons"> <a class="main-btn" href="contacts.php">Get A Quote</a> <a class="main-btn" href="javascript:;" onclick="setButtonURL();">Live Chat</a> </div>
			</div>
		</div>
	</section>
	<?php include 'include/testemonial.php';?>
		<div class="circle">BS</div>-->
		<?php include 'include/footerform.php'; ?>
			<?php include 'include/footer.php';?>
				<?php include 'include/js.php';?>