<?php
$meta_title = 'Creative Webcodes | Web Design & Development Experts';
$meta_description = 'Professional web design, development, branding, and digital marketing services to boost your business.';
$meta_keywords = 'web design, web development, branding, digital marketing, creative webcodes, USA, professional designers, e-commerce, SEO, content writing';
include 'include/header.php';
?>
	<section class="banner-bg">
		<div class="container">
			<div class="row">
				<div class="col-md-7">
					<div class="banner-head">
						<h3>Let’s face a Digital World together.</h3>
						<p>Design represents your product, brand and your services. We provide you with an attractive website design and development services that brings sales and achieve goals.</p>
					</div>
					<div class="d-flex ">
						<ul class="ser-wrap-li">
							<li><i class="fa fa-check-circle"></i> Think outside the box to provide out of the world service. </li>
							<li><i class="fa fa-check-circle"></i> Creative designs with highly professional concepts. </li>
							<li><i class="fa fa-check-circle"></i> Revolutionary high hills of handling digital problems. </li>
						</ul>
					</div>
					<ul class="logo-banr-icon">
						
						<li>
							<a href="javascript:;"><img class="lazy loaded" src="images/t-2.png"> </a>
						</li>
						<li>
							<a href="javascript:;"><img class="lazy loaded" src="images/t-3.png"> </a>
						</li>
					</ul>
					<div class="banner-link-area"> <a class="let ordr-frm" href="tel:<?php echo COMPANY_PHONE; ?>">Order Now</a> <a class="btn  btn-small  ed" href="tel:<?php echo COMPANY_PHONE; ?>">Call Us</a> </div>
				</div>

			</div>
		</div>

	</section>
	<!-- slider  -->
	<div class="rated-slider">
		<div class="container">
			<div class="rating-slider">
				<div class="item"> <img src="images/rating-img1.jpg" alt="image"> </div>
				<div class="item"> <img src="images/rating-img2.jpg" alt="image"> </div>
				<div class="item"> <img src="images/rating-img3.jpg" alt="image"> </div>
				<div class="item"> <img src="images/rating-img4.jpg" alt="image"> </div>
				<div class="item"> <img src="images/rating-img5.jpg" alt="image"> </div>
				<div class="item"> <img src="images/rating-img6.png" alt="image"> </div>
				<div class="item"> <img src="images/rating-img7.jpg" alt="image"> </div>
				<div class="item"> <img src="images/rating-img8.jpg" alt="image"> </div>
				<div class="item"> <img src="images/rating-img9.png" alt="image"> </div>
			</div>
		</div>
	</div>
	<!-- slider end  -->
	<!-- counter -->
	<div class="creative-counter">
		<div class="container">
			<div class="row text-center">
				<div class="col">
					<div class="counter">
						<h2 class="timer count-title count-number" data-to="8015" data-speed="1500"></h2>
						<p class="count-text ">Happy Visitors</p>
					</div>
				</div>
				<div class="col">
					<div class="counter">
						<h2 class="timer count-title count-number" data-to="7012" data-speed="1500"></h2>
						<p class="count-text "> Orders Delivered</p>
					</div>
				</div>
				<div class="col">
					<div class="counter">
						<h2 class="timer count-title count-number" data-to="72" data-speed="1500"></h2>
						<p class="count-text ">Writers Active</p>
					</div>
				</div>
				<div class="col">
					<div class="counter">
						<h2 class="timer count-title count-number" data-to="78" data-speed="1500"></h2>
						<p class="count-text ">Disciplines</p>
					</div>
				</div>
				<div class="col">
					<div class="counter">
						<h2 class="timer count-title count-number" data-to="92" data-speed="1500"></h2>
						<p class="count-text ">Industries</p>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- counter END -->
	<!-- growing your brand -->
	<section class="grow-brand">
		<div class="container">
			<div class="brand-head">
				<h4>Be Creative Choose Creative</h4>
				<p>Consistent result is the root for the growth of a business. We build custom made websites from scratch and deliver top notch results. Choose Creative Webcodes to achieve greatness because your product results depend on the digital branding.</p>
			</div>
			<div class="brand-tab">
				<ul class="nav nav-pills mb-5" id="pills-tab" role="tablist">
					<li class="nav-item"> <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">WEBSITE DESIGN</a> </li>
					<li class="nav-item"> <a class="nav-link" id="pills-profile-tab" data-toggle="pill" href="#pills-profile" role="tab" aria-controls="pills-profile" aria-selected="false">ECOMMERCE</a> </li>
				</ul>
				<div class="tab-content" id="pills-tabContent">
					<div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
						<div class="row">
							<div class="col-md-6">
								<div class="brand-txt">
									<h4>Custom Website Design</h4>
									<p>Ideally your business' custom web architecture ought to be attractive and novel in recognizable proof. Let's stride in front of your competitors through a unique procedure.</p>
									<div class="d-flex ">
										<ul class="ser-wrap-li">
											<li><i class="fa fa-check-circle"></i> Unique website compositions that stick out. </li>
											<li><i class="fa fa-check-circle"></i> Either pick out of layouts or concocted your thought. </li>
											<li><i class="fa fa-check-circle"></i> Target-arranged website architectures. </li>
										</ul>
									</div>
									<div class="banner-link-area"> <a class="let ordr-frm" href="contacts.php">DISCUSS NOW</a> <a class="btn  btn-small  ed" href="tel:<?php echo COMPANY_PHONE; ?>">Call Us</a> </div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="brand-img"> <img src="images/website-img.png" alt="image"> </div>
							</div>
						</div>
					</div>
					<div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">
						<div class="row">
							<div class="col-md-6">
								<div class="brand-txt">
									<h4>Boost your business by developing your all in one website and e-commerce solution</h4>
									<p>Our profound and professional team assists you to choose the masterpiece custom e-commerce solutions for your Brand by yielding the best quality services. Our e-commerce web developers always brought modern and unique thoughts to the daily environment. Our experts assist you to select dropshipping e-commerce for your Brand which will give success to your e-commerce digital marketing agency. We produce the required results by giving you the best services in no time. Our exclusive e-commercestore will be exclusive and shape up you online marketing consultancy firm in direction you want your business to be .</p>
									<div class="banner-link-area"> <a class="let ordr-frm" href="contacts.php">DISCUSS NOW</a> <a class="btn  btn-small  ed" href="tel:<?php echo COMPANY_PHONE; ?>">Call Us</a> </div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="brand-img"> <img src="images/ecom-img.png" alt="image"> </div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- growing your brand END -->
	<?php include 'include/portfolio-new.php';?>
	<?php include 'include/internet-pkg.php';?>

		<section class="comboopack">
			<div class="container">
				<div class="row">
					<div class="col-lg-12">
						<div class="combopackwrap">
							<div class="headdd">
								<figure> <img src="images/discount50.png"> </figure>
								<h3>Advance combo <span>Combo package</span></h3> </div>
							<div class="bodyyy">
								<div class="coll">
									<ul>
										<li class="heading">LOGO DESIGN</li>
										<li>Unlimited Logo Design Idea(s)</li>
										<li>By 6 Award Winning Designer(s)</li>
										<li>Free Icon Design</li>
										<li>Unlimited Revisions</li>
										<li>2 to 3 Business Days TAT</li>
									</ul>
									<ul>
										<li class="heading">Stationary Design</li>
										<li>Letterhead Design</li>
										<li>Business Card Design</li>
										<li>Envelope Design</li>
										<li>Email Signature Design</li>
										<li>Electronic Letterhead</li>
										<li>Invoice Design</li>
									</ul>
									<ul>
										<li class="heading">WEBSITE DESIGN</li>
										<li>Custom Website Design</li>
										<li>Content Integration and Styling</li>
										<li>DETAILED Business Profiling and Portfolio</li>
										<li>WordPress CMS / Admin Panel Support</li>
										<li>Website Builder with EASY Controls</li>
										<li>Cross Browser Compatible</li>
										<li>Mobile Responsive</li>
										<li>Full Shopping Cart Integration</li>
										<li>Unlimited Products and Categories</li>
										<li>Advanced Product Search, Product Ratings and Reviews</li>
										<li>Checkout and Order Confirmation Pages</li>
										<li>Dedicated Website Designer</li>
										<li>Search Engine Optimization (SEO) Ready Website</li>
										<li>Social Media Integration</li>
										<li>Google Maps</li>
										<li>In-Built Contact Form</li>
									</ul>
								</div>
								<div class="coll">
									<ul>
										<li>Deployment on Live Server</li>
										<li>Website Security, Firewall and Malware Shield</li>
										<li>Backend Training – Web+Store Management</li>
										<li>NO Monthly/Yearly Fee</li>
										<li>FREE Stock Photos / Complete Website Graphics</li>
										<li>FREE Unlimited Design Revisions</li>
										<li>FREE Google Friendly Sitemap</li>
										<li>FREE Search Engine Acceptance (Google/Bing/Yahoo)</li>
										<li>FREE Speed Optimized Site</li>
										<li>FREE WordPress+WooCommerce</li>
										<li>100% Ownership Rights</li>
										<li>100% Unique Design Guaranteed</li>
									</ul>
									<ul>
										<li class="heading">SOCIAL MEDIA MARKETING AND DESIGN</li>
										<li>Facebook and Instagram Business Pages Set up and Design</li>
										<li>7 Post/Month (Unique Social Media Content Posting)</li>
										<li>Competitor Analysis</li>
										<li>Community Management</li>
										<li>Page Moderation</li>
										<li>Social Media Strategy</li>
										<li>Page Monitoring &amp; Responding</li>
										<li>Social Media Analysis</li>
										<li>Page Optimization</li>
										<li>Social Media Marketing Plan</li>
										<li>Post Design Scheduling</li>
										<li>Profile Keyword Optimization - 6 Keywords</li>
										<li>Performance Report</li>
										<li>2 Platforms (Facebook and Instagram)</li>
									</ul>
								</div>
								<div class="coll">
									<ul>
										<li class="heading">SEARCH ENGINE OPTIMIZATION</li>
										<li>7 Keywords</li>
										<li>Guaranteed Ranking on Google</li>
										<li>Off-site Optimization</li>
										<li>Link Building</li>
										<li>Social Bookmarking</li>
										<li>Basic Analytical Report</li>
										<li>In-depth Site Analysis</li>
										<li>Content Duplicity Check</li>
										<li>Initial Backlinks analysis</li>
										<li>Google Penalty Check</li>
										<li>Mobile Usability Check</li>
										<li>Competition Analysis</li>
										<li>Keyword Research</li>
									</ul>
									<ul>
										<li class="heading">VALUE ADDED SERVICES</li>
										<li>Logo Design Final Files (.AI, .PSD, .EPS, .PNG, .JPG, .PDF, .TIFF)</li>
										<li>Website Design Complete Source Files</li>
										<li>Dedicated Project Manager</li>
										<li>100% Ownership Rights</li>
										<li>100% Satisfaction Guarantee</li>
										<li>*NO MONTHLY OR ANY HIDDEN FEE*</li>
									</ul>
									<ul>
										<li class="heading">VIDEO ANIMATION</li>
										<li>30 Seconds 2D Video Animation</li>
										<li>Script Writing</li>
										<li>Story Board</li>
										<li>Voice Over</li>
										<li>Animation with Sound Effect</li>
									</ul>
								</div>
							</div>
							<div class="footterr">
								<div class="left">
									<div class="txtt">
										<h4>For more information speak with us</h4> </div>
									<div class="btnwrap"> <a class="numbercta" href="tel:<?php echo COMPANY_PHONE; ?>"><?php echo COMPANY_PHONE; ?></a> <a class="chatcta" href="javascript:;" onclick="Tawk_API.toggle();">Live Chat</a> </div>
								</div>
								<div class="right">
									<figure class="loudfig"> <img src="images/loud.png"> </figure>
									<div class="price">
										<h2><?php echo formatPrice(4500); ?></h2>
										<h6>80% Discounted Price</h6> </div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- combo pack End -->
		<!-- customize your package  -->
		<section class="custom-package">
			<h4>customize your package</h4>
			<p>We don't send off the site until you are satisfied with the custom web design, development, idea and execution. The site we configure is an original blueprint of your business.</p>
			<div class="col-md-6 m-auto">
				<div class="chat-con">
					<ul>
						<li class="pkge-ordr"> <a class="ordr-frm" href="contacts.php">Order Now</a> </li>
						<li class="pkge-bkcl"> <a href="javascript:;" onclick="Tawk_API.toggle();" class="book-call-now">Live Chat</a> </li>
					</ul>
				</div>
			</div>
		</section>
		<!-- customize your package End -->
		<!-- mcta  -->
		<section class="mcta">
			<div class="container">
				<div class="row">
					<div class="col-md-8">
						<div class="mcta-txt">
							<div class="mcta-tag">
								<h6>GOT A PROJECT IN MIND? LET’S DISCUSS IT OVER A CALL!</h6> </div>
							<div class="mcta-content">
								<h4>Knowing the problem and resolving it smartly is our motto!</h4>
								<p>We are the best at developing websites for the company and our specialists are qualified and passionate when we assign them a task. Our capable designers oversee each move toward the plan interaction prior to conveying you. With regards to successful plan arrangements, we are here to serve you with the best.</p>
								<p>Our responsibility is to make the website architectures that procure notoriety to the brand. We intend to fulfill our clients with extraordinary services that value each and every penny. Web design is a long interaction, and we don't jump any to keep up with consistency all through.</p>
							</div>
							<div class="banner-link-area"> <a class="let ordr-frm" href="contacts.php">Order Now</a> <a class="btn  btn-small  ed" href="tel:<?php echo COMPANY_PHONE; ?>">Call Us</a> </div>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- mcta End -->
		<section class="reviews sec-rev padd90 padtop0 coloredbackground">
			<div class="container">
				<div class="row">
					<div class="col-lg-12 col-md-12" aos="fade-down" aos-delay="200">
						<h3 class="secondheading">Learn <span class="coloredtext">First-Hand</span> from Our Clients</h3> </div>
				</div>
			</div>
			<div class="reviewsdata">
				<div class="container-fluid nopad">
					<div class="row">
						<div class="col-md-12" aos="fade-down" aos-delay="200">
							<ul class="review-list">
								<li>
									<div class="review-box">
										<a href="javascript:;">
											<div> <img class="review-image  lazy" src="images/review-1.png" alt="">
												<div class="spacer">
													<bR>
												</div>
												<p>I’ve been working with them to do my website and so far it’s been a good creative experience to collaborate on ideas and suggestions to make it happen. The communication is excellent and the person I’m working with is very responsive to my needs in designing the overall look of the website.</p>
												<div class="row align-items-center review-tppp">
													<h6>Elvis Diaz<span><img class="lazy" src="images/rev-star.png"></span></h6>
												</div>
											</div>
										</a>
									</div>
								</li>
								<li>
									<div class="review-box">
										<a href="javascript:;">
											<div> <img class="review-image lazy" src="images/review-2.png" alt="">
												<div class="spacer">
													<bR>
												</div>
												<p>It was enjoyable to work with Amy, Isaac, and creative webcodes. They quickly understood the concept behind the website and executed the vision with good follow-up and responsiveness. I look forward to working with them on no next project as well!</p>
												<div class="row align-items-center review-tppp">
													<h6>Dan Steiny <span><img class="lazy" src="images/rev-star.png"></span></h6>
												</div>
											</div>
										</a>
									</div>
								</li>
								<li>
									<div class="review-box">
										<a href="javascript:;">
											<div> <img class="review-image lazy" src="images/review-3.png" alt="">
												<div class="spacer">
													<bR>
												</div>
												<p>I Hired them to do a Boutique website for my startup business. Jeff Heflin knows what he is doing, guided me through the process.</p>
												<p>Isaac was my project manager, helped me completing the website with Perfection, got FREE LOGO and professional support as well.</p>
												<p>I love their work</p>
												<div class="row align-items-center review-tppp">
													<h6>Crystal Lozoway<span><img class="lazy" src="images/rev-star.png"></span></h6>
												</div>
											</div>
										</a>
									</div>
								</li>
								<li>
									<div class="review-box">
										<a href="javascript:;">
											<div> <img class="review-image lazy" src="images/review-4.png" alt="">
												<div class="spacer">
													<bR>
												</div>
												<p> I have worked with Bill and the Creative Webcodes team for several years. Unflinchingly reliable, professional, and proactive from a technology and security standpoint. Over the years, Creative Webcodes has streamlined our communications so that any of our website updates or other needs are handled seamlessly </p>
												<div class="row align-items-center review-tppp">
													<h6>Blakeley Mera<span><img class="lazy" src="images/rev-star.png"></span></h6>
												</div>
											</div>
										</a>
									</div>
								</li>
								<li>
									<div class="review-box">
										<a href="javascript:;">
											<div> <img class="review-image lazy" src="images/review-777.png" alt="">
												<div class="spacer">
													<bR>
												</div>
												<p>Team of Creative Webcodes is so experienced patience and understanding they first discussed the complete scope of my website and delivered with exactly what i was looking for, most important was timeline because i had short timeline and they really hit the nail.</p>
												<div class="row align-items-center review-tppp">
													<h6>Briley Kyle <span><img class="lazy" src="images/rev-star.png"></span></h6>
												</div>
											</div>
										</a>
									</div>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- renowned sec  -->
		<section class="renowned">
			<div class="container">
				<div class="subheading">
					<h3>Unmatched Skills & Utmost Quality</h3> </div>
				<div class="renowned-heading">
					<h4>Our Passion Is What Makes Us Different From Others.</h4>
					<p>creative webcodes strive to deliver quality services. From the beginning, we aim to satisfy every client we've worked with our innovation & creativity. Our company has in-house expert web developers, digital marketers, writers, brand creators, app developers, and business consultants, working with dedication to build your brand from scratch. We have spent decades in the field as an agency, and we know how to build your business.</p>
				</div>
				<div class="renowned-cards">
					<div class="row">
						<div class="col-md-1"></div>
						<div class="col-md-2 has-border">
							<div class="renowned-ca">
								<div class="quality">
									<div class="quality-img"><img src="images/constant-client-coordination.png"></div>
									<p class="">Constant Client Coordination</p>
								</div>
							</div>
						</div>
						<div class="col-md-2 has-border">
							<div class="renowned-ca">
								<div class="quality">
									<div class="quality-img"><img src="images/supreme-customer-satisfaction.png"></div>
									<p class="">Supreme Customer Satisfaction</p>
								</div>
							</div>
						</div>
						<div class="col-md-2 has-border">
							<div class="renowned-ca">
								<div class="quality">
									<div class="quality-img"><img src="images/100percent-ownership-rights.png"></div>
									<p class="">100% Ownership Rights</p>
								</div>
							</div>
						</div>
						<div class="col-md-2 has-border">
							<div class="renowned-ca">
								<div class="quality">
									<div class="quality-img"><img src="images/secure-money-back-guarantee.png"></div>
									<p class="">Secure Money Back Guarantee</p>
								</div>
							</div>
						</div>
						<div class="col-md-2">
							<div class="renowned-ca">
								<div class="quality">
									<div class="quality-img"><img src="images/industry-proven-professionals.png"></div>
									<p class="">Industry Proven Professionals</p>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- renowned sec END -->
		<!-- toll free  -->
		<section class="container toll-free">
			<div class="container">
				<div class="row">
					<div class="col-md-3">
						<div class="toll-para">
							<p>Call us and discuss your project with our experts today.</p>
							<div class="slash slash2"> </div>
						</div>
					</div>
					<div class="col-md-4 phone-div"> <i class="fa fa-mobile-phone"></i>
						<h3 class="text-left">
             <span class="">Call us (TOLL FREE)</span>
             <?php echo COMPANY_PHONE; ?></h3>
						<div class="slash"></div>
					</div>
					<div class="col-md-5 mail"> <i class="fa fa-envelope-open-o"></i>
						<h3 class="text-left">
   
             <span class="">Discuss your Ideas</span>
             info@creativewebcodes.com
   
           </h3> </div>
				</div>
			</div>
		</section>
		<!-- toll free END -->
		<!-- testimonials  -->
		<section class="testimonials">
			<div class="container">
				<div class="test-head">
					<h4>Our Testimonial</h4>
					<p>What our customers say about us!</p>
				</div>
				<div class="testimonial-slider">
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>"My journey with Creative Webcodes have been a fruitful and progressive one. Started out with doubts being that I’m a first timer but gradually all my doubts were eradicated when the team took my idea n made it into a reality. I must commend the team of Ben Jeff Amy issac bill who were in contact with me right through the journey. They gave me all the reasons I needed to trust them. Thank you for your exceptional skills in making my dream a reality. Thank you. JamB’zz to the world"</p>
							</div>
							<div class="testimonial-badge"> <span class="int">TD</span>
								<div class="badge-content">Todd Drummond</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>This creative company is 10 stars. I will never go anywhere else for my website building needs. They are technological geniuses that have helped and supported me with information that isn’t even relevant to the website they are building for me. That’s the kind of people they are. I had question about another business I am going to start and Ben sat on the phone with me for almost an hour answering all my questions. I was so impressed I decided to work with them on that project as well. Mainly because they are so forthcoming with info. Their goal is to build lasting relationships with clients. This company is the real deal. They are professional kind and willing and ready to work within your budget. They go beyond any company I have worked with on the past no matter what the purpose. Thank you Ben, Amy and Isaac for a great experience and a beautiful website.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">MM</span>
								<div class="badge-content">Myles Matthews </div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>I had a wonderful experience building a new website from scratch keeping the theme and principles of my old website Ben Thompson and Amy were very easy to work with, Patience is the name of the game we added animation which is fantastic made the site liquid which is awesome and kept the color scheme that I’ve had for 20 years I’m one very impressed and happy customer</p>
							</div>
							<div class="testimonial-badge"> <span class="int">AH</span>
								<div class="badge-content">Austin Hughes </div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Jeff and his group of developers are great to work with. They will help with all the questions you have.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">AD</span>
								<div class="badge-content">Aaron Davis </div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Amy and Issac produced a wonderful website for me. They kept asking what I wanted. Well I got what I wanted.It is a website that shows my professionalism and shows great reviews I have received. Thank you Amy and Issac.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">MT</span>
								<div class="badge-content">Michael Terranova</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>I had Creative Webcodes build a band website. The process took time and many reiterations, but they were able to be flexible and come up with great suggestions throughout. Not only did the website get completed as I had envisioned it, but they even provided clear directions on how to edit it later if I need to do so. I recommend them!.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">DS</span>
								<div class="badge-content">Dan Steiny</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>This is a great company, they were able to exceed my expectations and I would definitely be returning for my future website needs. Thank you Creative Webcodes!</p>
							</div>
							<div class="testimonial-badge"> <span class="int">NG</span>
								<div class="badge-content">Nicole Groves</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Let me begin with WOW! There should be more than five stars. Do not go anywhere else for your website building needs. They are technological geniuses that have helped and supported me with information that isn’t even relevant to the website they are building for me. That’s the kind of people they are. I had question about another business I am going to start and Ben sat on the phone with me for almost an hour answering all my questions. I was so impressed I decided to work with them on that project as well. Mainly because they are so forthcoming with info. Their goal is to build lasting relationships with clients. This company is the real deal. They are professional kind and willing and ready to work within your budget. They go beyond any company I have worked with on the past no matter what the purpose. Thank you Jeff, Ben and Amy for a great experience and a beautiful website.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">KH</span>
								<div class="badge-content">Kera Hoyte</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>I contacted Creative Webcodes to redo my personal branding/ blog website. I initially talked to Jeff who put me in contact with Amy who was in charge of my website. Amy is 100% amazing and answered all my questions and my request no matter the time. I was very pleased with the outcome of my new website and would definetly work with Amy again anytime. Even better I was in the middle of finals and she was very patient with me.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">JD</span>
								<div class="badge-content">josh dunn</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Good and smooth job with my company's logo.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">FA</span>
								<div class="badge-content">Fabiola</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Working with creative website and so far so good. No complaints here</p>
							</div>
							<div class="testimonial-badge"> <span class="int">CC</span>
								<div class="badge-content">Carlos Chapa</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Working with Creative Webcodes has been an excellent experience since day one when I started describing in detail what I needed to upgrade my website. They executed all the tasks I asked them to do with in a total professional way. The communication was also on point. A special thanks to Amy. She was outstanding!</p>
							</div>
							<div class="testimonial-badge"> <span class="int">ED</span>
								<div class="badge-content">Elvis Diaz</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Very impressed with speed at which they took care of our issue. Thank you and we will contract with you again!</p>
							</div>
							<div class="testimonial-badge"> <span class="int">MD</span>
								<div class="badge-content">Michelle McDade DeLapp</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Great job done in a timely matter , delivered what I requested most defiantly would recommend Creative Webcodes</p>
							</div>
							<div class="testimonial-badge"> <span class="int">RD</span>
								<div class="badge-content">Richard Doucette</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Exceptional Services.. 100% recommend!</p>
							</div>
							<div class="testimonial-badge"> <span class="int">BT</span>
								<div class="badge-content">Ben T.Cooper</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Hired them to do an explainer video for my non-profit. The 90 seconds video turned out to be great! I am getting very positive feedbacks on the video.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">GW</span>
								<div class="badge-content">Greg Wison</div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>This agency did my restaurant's website. The website looks great (sleak and professional) as I asked them. It was a pleasure working with this company.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">SO</span>
								<div class="badge-content">Stevenson Oaks </div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>I Hired them to do a Boutique website for my startup business. Jeff Heflin knows what he is doing, guided me through the process. Isaac was my project manager, helped me completing the website with Perfection, got FREE LOGO and professional support as well.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">CL</span>
								<div class="badge-content">Crystal Lozoway </div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>I have worked with Bill and the Creative Webcodes team for several years. Unflinchingly reliable, professional, and proactive from a technology and security standpoint. Over the years, Creative Webcodes has streamlined our communications so that any of our website updates or other needs are handled seamlessly.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">AM</span>
								<div class="badge-content">Amy Mera </div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>I like their design approach, my website looks great after a full revamp done by these guys. Satisfactory services, recommended.</p>
							</div>
							<div class="testimonial-badge"> <span class="int">CJ</span>
								<div class="badge-content">Claria Jacob </div>
							</div>
						</div>
					</div>
					<div class="item">
						<div class="testimonial-scroll">
							<div class="testimonial-card list-scroll">
								<div class="star"> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> <i class="fa fa-star" aria-hidden="true"></i> </div>
								<p>Team of Creative Webcodes is so experienced patience and understanding they first discussed the complete scope of my website and delivered with exactly what i was looking for, most important was timeline because i had short timeline and they really hit the nail. they are perfectionist!!</p>
							</div>
							<div class="testimonial-badge"> <span class="int">HK</span>
								<div class="badge-content">Henry Kyle</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- testimonials End -->
		<!-- contact section  -->
		<section class="contact-section">
			<div class="thm-container">
				<div class="row contact-form-content">
					<div class="col-md-8">
						<div class="contact_area_left contact_same">
							<div class="title">
								<h2>Send us a message <br>and we will get back to you </h2> </div>
							<div class="row" data-form-type="footer_form">
								<form class="cmxform" id="bannerform" method="POST" action="process/api.php">
									<?php

                   $actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";

                   ?>
										<!--hidden required values-->
										 <input type="hidden" id="g-recaptcha-response" name="g-recaptcha-response">
                                        <input type="hidden" name="action" value="validate_captcha">
                                        <input type="hidden" name="form_type" value="contact_form">
										<input type="hidden" id="pkgname" name="pkgname" value="Basic Website Package">
										<input type="hidden" id="pkgprice" name="pkgprice" value="<?php echo formatPrice(299.00); ?>">
										<div class="row">
											<div class="col-md-6">
												<input onkeypress="return ((event.charCode >= 65 &amp;&amp; event.charCode <= 90) || (event.charCode >= 97 &amp;&amp; event.charCode <= 122) || (event.charCode == 32))" type="text" name="inputname" id="inputname" placeholder="Your full name" data-validation="required" value="<?php echo htmlspecialchars(($formType == 'contact_form' && isset($formValues['inputname'])) ? $formValues['inputname'] : '', ENT_QUOTES, 'UTF-8'); ?>" required=""> 
											        <?php if (isset($errors['inputname']) && $formType == 'contact_form'): ?>
                                                        <span class="error" style="color: red;"><?php echo htmlspecialchars($errors['inputname']); ?></span>
                                                    <?php endif; ?>
                                            </div>
											<div class="col-md-6">
												<input type="email" name="inputemail" id="inputemail" placeholder="Your email address" data-validation="required" value="<?php echo htmlspecialchars(($formType == 'contact_form' && isset($formValues['inputemail'])) ? $formValues['inputemail'] : '', ENT_QUOTES, 'UTF-8'); ?>" required="">
												<?php if (isset($errors['inputemail']) && $formType == 'contact_form'): ?>
                                                    <span class="error" style="color: red;"><?php echo htmlspecialchars($errors['inputemail']); ?></span>
                                                <?php endif; ?>
											</div>
											<div class="col-md-6">
												<input id="inputphone" value="<?php echo htmlspecialchars(($formType == 'contact_form' && isset($formValues['inputphone'])) ? $formValues['inputphone'] : '', ENT_QUOTES, 'UTF-8'); ?>" name="inputphone" required=""  type="number" placeholder="Enter phone here" autocomplete="off" maxlength="11" oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);">
											    <?php if (isset($errors['inputphone']) && $formType == 'contact_form'): ?>
                                                    <span class="error" style="color: red;"><?php echo htmlspecialchars($errors['inputphone']); ?></span>
                                                <?php endif; ?>	
											</div>
											<div class="col-md-6">
												<select class="form-control" name="Intereste">
													<option value="0">Interested in...</option>
													<option value="Logo Design">Logo Design</option>
													<option value="Branding">Branding</option>
													<option value="Web Design">Web Design</option>
													<option value="E-Commerce">E-Commerce</option>
													<option value="Video Animation">Video Animation</option>
													<option value="SEO">SEO</option>
												</select>
												<?php if (isset($errors['Intereste']) && $formType == 'contact_form'): ?>
                                                    <span class="error" style="color: red;"><?php echo htmlspecialchars($errors['Intereste']); ?></span>
                                                <?php endif; ?>	
											</div>
										</div>
										<div class="app-input-group"> 
    										<span>
                                                <select id="packages" name="oPackage" aria-invalid="false">
                                                  <option value="<?php echo htmlspecialchars(($formType == 'contact_form' && isset($formValues['oPackage'])) ? $formValues['oPackage'] : '', ENT_QUOTES, 'UTF-8'); ?>" pack="0">Select Package</option>
                                                  <optgroup label="Website Packages">
                                                     <option value="Basic Website Package - <?php echo formatPrice(199.00); ?>" pack="1">Basic Website Package - <?php echo formatPrice(199.00); ?></option>
                                                     <option value="Startup Website Package - <?php echo formatPrice(699.00); ?>" pack="2">Startup Website Package - <?php echo formatPrice(699.00); ?></option>
                                                     <option value="Professional Website Package - <?php echo formatPrice(999.00); ?>" pack="3">Professional Website Package - <?php echo formatPrice(999.00); ?></option>
                                                     <option value="E-Commerce Website Package - <?php echo formatPrice(1499.00); ?>" pack="4">E-Commerce Website Package - <?php echo formatPrice(1499.00); ?></option>
                                                     <option value="Corporate Website Package - <?php echo formatPrice(1999.00); ?>" pack="5">Corporate Website Package - <?php echo formatPrice(1999.00); ?></option>
                                                     <option value="Platinum Website Package - <?php echo formatPrice(3490.00); ?>" pack="6">Platinum Website Package - <?php echo formatPrice(3490.00); ?></option>
                                                  </optgroup>
                                                  <optgroup label="E-Commerce Packages">
                                                     <option value="E-Commerce Basic Package - <?php echo formatPrice(499.00); ?>" pack="7">E-Commerce Basic Package - <?php echo formatPrice(499.00); ?></option>
                                                     <option value="E-Commerce Startup Package - <?php echo formatPrice(725.00); ?>" pack="8">E-Commerce Startup Package - <?php echo formatPrice(725.00); ?></option>
                                                     <option value="E-Commerce Professional Package - <?php echo formatPrice(1325.00); ?>" pack="9">Startup Website Package - <?php echo formatPrice(1325.00); ?></option>
                                                     <option value="E-Commerce Elite Package - <?php echo formatPrice(3525.00); ?>" pack="10">E-Commerce Elite Package - <?php echo formatPrice(3525.00); ?></option>
                                                     <option value="E-Commerce Super Elite Package - <?php echo formatPrice(5525.00); ?>" pack="11">E-Commerce Super Elite Package - <?php echo formatPrice(5525.00); ?></option>
                                                  </optgroup>
                                                  <optgroup label="Logo Packages">
                                                     <option value="Logo Basic Package - <?php echo formatPrice(35.00); ?>" pack="12">Logo Basic Package - <?php echo formatPrice(35.00); ?></option>
                                                     <option value="Logo Plus Package - <?php echo formatPrice(119.00); ?>" pack="13">Logo Plus Package - <?php echo formatPrice(119.00); ?></option>
                                                     <option value="Logo Infinite Package - <?php echo formatPrice(249.00); ?>" pack="14">Logo Infinite Package - <?php echo formatPrice(249.00); ?></option>
                                                     <option value="Logo Platinum Package - <?php echo formatPrice(499.00); ?>" pack="15">Logo Platinum Package - <?php echo formatPrice(499.00); ?></option>
                                                  </optgroup>
                                                  <optgroup label="Branding Packages">
                                                     <option value="Vista Basic Package - <?php echo formatPrice(95.00); ?>" pack="16">Vista Basic Package - <?php echo formatPrice(95.00); ?></option>
                                                     <option value="Vista Advanced Package - <?php echo formatPrice(145.00); ?>" pack="17">Vista Advanced Package - <?php echo formatPrice(145.00); ?></option>
                                                     <option value="Vista Business Package - <?php echo formatPrice(195.00); ?>" pack="18">Vista Business Package - <?php echo formatPrice(195.00); ?></option>
                                                  </optgroup>
                                                  <optgroup label="Seo Packages">
                                                     <option value="Vista Foundational SEO Package - <?php echo formatPrice(699.00); ?>" pack="19">Vista Foundational SEO Package - <?php echo formatPrice(699.00); ?></option>
                                                     <option value="Vista Core SEO Package - <?php echo formatPrice(1399.00); ?>" pack="20">Vista Core SEO Package - <?php echo formatPrice(1399.00); ?></option>
                                                     <option value="Vista Core E-Commerce Package - <?php echo formatPrice(2399.00); ?>" pack="21">Vista Core E-Commerce Package - <?php echo formatPrice(2399.00); ?></option>
                                                  </optgroup>
                                                  <optgroup label="Video Animation Packages">
                                                     <option value="Vista Teaser Package - <?php echo formatPrice(150.00); ?>" pack="22">Vista Teaser Package - <?php echo formatPrice(150.00); ?></option>
                                                     <option value="Vista Startup Package - <?php echo formatPrice(250.00); ?>" pack="23">Vista Startup Package - <?php echo formatPrice(250.00); ?></option>
                                                     <option value="Vista Premium Package - <?php echo formatPrice(900.00); ?>" pack="24">Vista Premium Package - <?php echo formatPrice(900.00); ?></option>
                                                     <option value="Vista Classic Package - <?php echo formatPrice(500.00); ?>" pack="25">Vista Classic Package - <?php echo formatPrice(500.00); ?></option>
                                                  </optgroup>
                                                </select>
                                            </span> 
                                            <?php if (isset($errors['oPackage']) && $formType == 'contact_form'): ?>
                                                    <span class="error" style="color: red;"><?php echo htmlspecialchars($errors['oPackage']); ?></span>
                                            <?php endif; ?>	
                                        </div>
										<div class="">
											<textarea name="Comments" placeholder="What you are looking for?"><?php echo htmlspecialchars(($formType == 'contact_form' && isset($formValues['Comments'])) ? $formValues['Comments'] : '', ENT_QUOTES, 'UTF-8'); ?></textarea>
											<?php if (isset($errors['Comments']) && $formType == 'contact_form'): ?>
                                                    <span class="error" style="color: red;"><?php echo htmlspecialchars($errors['Comments']); ?></span>
                                            <?php endif; ?>	
											<div id="formResult"></div>
											<button type="submit" class="thm-btn yellow-bg" id="send-lead" name="send-lead">Submit Now </button>
											<input class="" type="hidden" name="ctry" value="">
											<input type="hidden" name="pc" value="">
											<!--<input type="hidden" name="hiddencapcha" value="">-->
											<input type="hidden" name="cip">
											<input type="hidden" name="form_name" value="Bottom Form">
											<input type="hidden" name="date" value="Monday 24th of May 2021 08:41:04 AM">
											<input type="hidden" id="location" name="locationURL" value="assets/"> </div>
								</form>
							</div>
						</div>
					</div>
					
					<div class="col-md-4">
						<div class="contact_area_right contact_same contact-rgt">
							<div class="title orange_clr">
								<h2>Contact Information</h2> </div>
							<div class="contact_detail_div">
								<p> <strong>Address</strong> <?php echo COMPANY_ADDRESS; ?></p>
								<p class="mb-3"> <strong>Phone</strong> <a href="tel:<?php echo COMPANY_PHONE; ?>"><?php echo COMPANY_PHONE; ?></a> </p>
								<p> <strong>Email</strong> <a href="mailto:info@creativewebcodes.com">info@creativewebcodes.com</a> </p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- contact section END -->
		<script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
		<?php include 'include/footer.php';?>
			<div id="section_port_js"></div>
			<?php include 'include/js.php';?>
				<script>
				$('.rating-slider').slick({
					dots: false,
					infinite: true,
					speed: 300,
					slidesToShow: 5,
					slidesToScroll: 1,
					autoplay: true,
					autoplaySpeed: 2000,
					responsive: [{
							breakpoint: 1024,
							settings: {
								slidesToShow: 3,
								slidesToScroll: 1,
								infinite: true,
								dots: true
							}
						}, {
							breakpoint: 600,
							settings: {
								slidesToShow: 2,
								slidesToScroll: 2
							}
						}, {
							breakpoint: 480,
							settings: {
								slidesToShow: 1,
								slidesToScroll: 1
							}
						}
						// You can unslick at a given breakpoint now by adding:
						// settings: "unslick"
						// instead of a settings object
					]
				});
				$('.testimonial-slider').slick({
					dots: false,
					arrows: false,
					infinite: true,
					speed: 300,
					slidesToShow: 3,
					slidesToScroll: 1,
					autoplay: false,
					autoplaySpeed: 2000,
					responsive: [{
						breakpoint: 1024,
						settings: {
							slidesToShow: 3,
							slidesToScroll: 1,
							infinite: true,
							dots: true
						}
					}, {
						breakpoint: 600,
						settings: {
							slidesToShow: 2,
							slidesToScroll: 2
						}
					}, {
						breakpoint: 480,
						settings: {
							slidesToShow: 1,
							slidesToScroll: 1
						}
					}]
				});
				(function($) {
					$.fn.countTo = function(options) {
						options = options || {};
						return $(this).each(function() {
							// set options for current element
							var settings = $.extend({}, $.fn.countTo.defaults, {
								from: $(this).data('from'),
								to: $(this).data('to'),
								speed: $(this).data('speed'),
								refreshInterval: $(this).data('refresh-interval'),
								decimals: $(this).data('decimals')
							}, options);
							// how many times to update the value, and how much to increment the value on each update
							var loops = Math.ceil(settings.speed / settings.refreshInterval),
								increment = (settings.to - settings.from) / loops;
							// references & variables that will change with each update
							var self = this,
								$self = $(this),
								loopCount = 0,
								value = settings.from,
								data = $self.data('countTo') || {};
							$self.data('countTo', data);
							// if an existing interval can be found, clear it first
							if(data.interval) {
								clearInterval(data.interval);
							}
							data.interval = setInterval(updateTimer, settings.refreshInterval);
							// initialize the element with the starting value
							render(value);

							function updateTimer() {
								value += increment;
								loopCount++;
								render(value);
								if(typeof(settings.onUpdate) == 'function') {
									settings.onUpdate.call(self, value);
								}
								if(loopCount >= loops) {
									// remove the interval
									$self.removeData('countTo');
									clearInterval(data.interval);
									value = settings.to;
									if(typeof(settings.onComplete) == 'function') {
										settings.onComplete.call(self, value);
									}
								}
							}

							function render(value) {
								var formattedValue = settings.formatter.call(self, value, settings);
								$self.html(formattedValue);
							}
						});
					};
					$.fn.countTo.defaults = {
						from: 0,
						to: 0,
						speed: 1500,
						refreshInterval: 100,
						decimals: 0,
						formatter: formatter,
						onUpdate: null,
						onComplete: null
					};

					function formatter(value, settings) {
						return value.toFixed(settings.decimals);
					}
				}(jQuery));
				jQuery(function($) {
					$('.timer').each(count);

					function count(options) {
						var $this = $(this);
						options = $.extend({}, options || {}, $this.data('countToOptions') || {});
						$this.countTo(options);
					}
				});
				$('#tab-all').addClass('current');
				$(".setter").click(function() {
					$(".setter").removeClass("current"), $(this).addClass("current");
					var t = $(this).data("targetit");
					$(".tabsinn").removeClass("current"), $("." + t).addClass("current")
				})
				$(".setter2").click(function() {
					$(".setter2").removeClass("current"), $(this).addClass("current");
					var t = $(this).data("targetit");
					$(".tabs .mportt").removeClass("current"), $("." + t + ".mportt").addClass("current")
				})
				$(".toggling").click(function() {
					var num = $(this).data("val");
					if($("#text" + num).css("display") == "none") {
						$("#text" + num).show()
						$("#toggle" + num).text("View Less")
					} else {
						$("#text" + num).hide()
						$("#toggle" + num).text("View More")
					}
				})
				$('.review-list').slick({
					slidesToShow: 3,
					infinite: true,
					slidesToScrol1: 1,
					autoplay: true,
					autoplaySpeed: 2000,
					arrows: false,
					centerMode: true,
					variableWidth: true,
					responsive: [{
						breakpoint: 480,
						settings: {
							centerMode: false,
							variableWidth: false,
							slidesToShow: 1,
							autoplay: false
						}
					}]
				});
				$(document).ready(function() {
					// Portfolio Section Work
					setTimeout(function() {
						$('#section_port').load('include/port-pg.php');
					}, 5000);
					setTimeout(function() {
						$('#section_port_js').load('include/portfolio_js-new.php');
					}, 9000);
					$(".has-c").click(function() {
						$(this).hide();
					});
				});
				</script>