<?php

$meta_title = 'Privacy Policy | Creative Webcodes';
$meta_description = 'Read our privacy policy to learn how Creative Webcodes protects your data and privacy.';
$meta_keywords = 'privacy policy, data protection, creative webcodes, user privacy';
include 'include/header.php';?>
	<section class="about-top">
		<div class="container"></div>
	</section>
	<section class="fold about-fold">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="sec-breif">
						<h2>Privacy Policy</h2>
						<p>The Creative Webcodes respect the privacy of its online users and for that maintaining your privacy and confidentiality is considered as a primary concern. This statement of The Creative Webcodes ’ privacy policy reflects the basic concern of gathering users’ information and the measures taken to completely ensure users’ with ultimate security and confidentiality.</p>
						<br>
						<p>For The Creative Webcodes , the basic reason for gathering and storing users’ information is to improvise the quality and overall users’ web experience when they are on The Creative Webcodes . The design and development team is always in the quest of providing users’ with the best look and feel and web experience and keeps the website fully up to date with users’ latest user interface requirements absolutely based on the vital information gathered and stored from the users.</p>
						<br>
						<p>With this statement of privacy policy, The Creative Webcodes hereby ensures to maintain the users and specially customers’ highly confidential and private information with the utmost security and privacy. Through this statement of privacy policy, The Creative Webcodes also ensure that it does and will never and has no intention to share or sell the users’ and customers’ confidential information by any means to anyone and in any way. In order to learn more and explore in detail about The Creative Webcodes third-party information sharing, exchange and interaction you may visit the section of “Third Party Sharing” stated below with detail in this statement of privacy policy.</p>
						<br>
						<br> </div>
					<div class="sec-breif fold2">
						<h2>Motive</h2>
						<p>The core purpose of this statement of privacy policy is to comprehensively describe why The Creative Webcodes collect and store users’ and customers’ information and under what scenarios and circumstances The Creative Webcodes share this information with third parties. In addition to the purpose of this statement of privacy policy, it also reflects The Creative Webcodes collect unique information from users and customers, for which purpose and how it is used.</p>
						<br>
						<br> </div>
					<div class="sec-breif fold2">
						<h2>Gathering Exclusive Particulars</h2>
						<p>The Creative Webcodes collect a range of important information and data for different purposes from its users and valued customers. The breakdown of all the types of information The Creative Webcodes collects from its users and customers is as follows;</p>
						<br> </div>
					<div class="detail-sec">
						<h3>Mainstream Queries and Remarks</h3>
						<ul>
							<li>Name</li>
							<li>Email</li>
							<li>Phone/Cell Number</li>
							<li>Address</li>
							<li>City</li>
							<li>Country</li>
						</ul>
					</div>
					<div class="detail-sec">
						<h3>Business Associates & Vendors</h3>
						<ul class="numli">
							<li>Company/Organization Information</li>
							<li>Emergency/Support Contact Information</li>
						</ul>
					</div>
					<div class="detail-sec">
						<h3>Job Hunters</h3>
						<ul class="numli">
							<li>Unique Identification Information</li>
							<li>Educational/Academic Background</li>
							<li>Employment/Work History</li>
						</ul>
						<br>
						<br> </div>
					<div class="sec-breif fold2">
						<h2>Use of Collected Information</h2>
						<p>As stated above in this statement of privacy policy, the sole purpose of this statement is to comprehensively describe and share the uses of gathering information and data from users’ and customers’, this section reflects the various uses adopted by The Creative Webcodes for improving the overall web experience of the website. At The Creative Webcodes the design, development and quality assurance departments are always engaged in monitoring and maintaining the website user interface and several other elements of performance for which the users, customers, vendors, business associates and job hunters may receive some sorts of updates in regard of the website monitoring, maintenance or technological updates and in some relevant cases The Creative Webcodes share some information with the associates in order to maintain the optimum performance of the website and might use the gathered information in any given time.</p>
						<br>
						<p>Through this statement of privacy policy, The Creative Webcodes also state that the unique and useful information gathered from the job hunters is solely used for the purpose of evaluating their expertise, skills, qualification, work experience and the overall eligibility for the respective applied position at The Creative Webcodes . In this regard, the collected information may be shared with the most relevant managers, departments and personals of The Creative Webcodes for ensuring the hiring process is fully efficient and the best candidate is being hired by the management while primarily respecting the basic concern of confidentiality, security and privacy of the individuals.</p>
						<br>
						<br> </div>
					<div class="sec-breif fold2">
						<h2>Third-Party Sharing</h2>
						<p>Likewise all the basic information, The Creative Webcodes primarily focuses and puts great significance to sharing the gathered information with third parties just in case of maintaining and enhancing the website users’ experience, promotional needs and requirements and for maintain better communication with the valued customers and business associates.</p>
						<br>
						<p>Any information shared with third parties is entirely done on contract basis between The Creative Webcodes and the respective third parties and none of the third parties are allowed and authorized to share the information further with anyone, in any way and for any concern.</p>
						<br>
						<br> </div>
					<div class="sec-breif fold2">
						<h2>Security of Exclusive Information</h2>
						<p>The Creative Webcodes have made certain absolute and definitive measures for the only purpose of maintaining a maximum level of security and confidentiality of the gathered information from users and the valued customers in the first instance.</p>
						<br>
						<p>Maintaining users’ and customers’ information security and confidentiality has the prime importance for The Creative Webcodes and for that the website of The Creative Webcodes is well protected against any sort of unauthorized interruptions and accesses. The website has its own strongly built HTML5 based eCommerce infrastructure ensuring complete security and confidentiality while maintaining up to date Secure Sockets Layer (SSL) Certification technology that ultimately encrypts all the users’, vendors, businesses associates and valued customers’ submitted information and helps us with absolutely safe and secure data and information storage.</p>
						<br>
						<br> </div>
					<div class="sec-breif fold2">
						<h2>The Use of Cookies</h2>
						<p>The Creative Webcodes makes the use of Cookies in order to gather additional required data and information such as but not limited to (1) Users’ demographics, (2) Users’ website use context, (3) Users’ likeliness and interests in regard of the website’s overall look and feel, (4) Users’ data and network usage in regard of the website, etc. all together embracing towards bringing in a better and much more obliged users’ web experience.</p>
						<br>
						<p>Cookies are the alphanumeric identifiers, transferred to the physical drives of the users’ computers or the accessing device directly through the web browser in use. The Creative Webcodes use cookies to enable the systems that recognize the type of browsers through which users’ are online to access the website and remember their movements during prior visits in order to serve better.</p>
						<br>
						<p>In addition to the use of cookies The Creative Webcodes recommends exploring the help tool given in the web browser’s toolbar in order to explore and discover comprehensive details and options for using cookies, allowing them on the web browser, notification for newly received cookie and disabling the use of cookies. However we also recommend to allow the use of cookies to users and customers who trust The Creative Webcodes as the a significant portion of the users’ entire web experience depends upon the effective use of cookies which entails and helps a lot in taking full advantage of the top features of the website users’ experience and interface.</p>
						<br>
						<p>In case you have any query or concern in regard of this privacy policy, please feel free to contact us at: <a href="mailto:info@creativewebcodes.com;">info@creativewebcodes.com</a></p>
						<br> </div>
				</div>
			</div>
		</div>
	</section>
	<?php include 'include/footer.php';?>
		<?php include 'include/js.php';?>